Bug 791183 - CVE-2011-3026 libpng: Heap-buffer-overflow in png_decompress_chunk [fedora-all]
CVE-2011-3026 libpng: Heap-buffer-overflow in png_decompress_chunk [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libpng (Show other bugs)
15
All Linux
high Severity high
: ---
: ---
Assigned To: Tom Lane
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2011-3026
  Show dependency treegraph
 
Reported: 2012-02-16 07:33 EST by Huzaifa S. Sidhpurwala
Modified: 2013-07-02 23:41 EDT (History)
2 users (show)

See Also:
Fixed In Version: libpng-1.5.8-2.fc17
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-20 20:29:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-02-16 07:33:18 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=790737

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Fedora Update System 2012-02-16 15:19:59 EST
libpng-1.2.46-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libpng-1.2.46-2.fc16
Comment 2 Fedora Update System 2012-02-16 15:20:36 EST
libpng-1.5.8-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libpng-1.5.8-2.fc17
Comment 3 Fedora Update System 2012-02-16 15:20:52 EST
libpng-1.2.46-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libpng-1.2.46-2.fc15
Comment 4 Fedora Update System 2012-02-16 22:57:36 EST
Package libpng-1.5.8-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libpng-1.5.8-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1892/libpng-1.5.8-2.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-02-20 20:29:30 EST
libpng-1.2.46-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-02-28 04:53:28 EST
libpng-1.2.46-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-02-28 05:47:42 EST
libpng-1.5.8-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.